unnecessary stderr like this:
==> /tmp/stderr <==
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
^M 0 0 0 0 0 0 0 0 --:--:-- --:--:-- --:--:-- 0^M 0 0 0 0 0 0 0 0 --:--:-- --:--:-- --:--:-- 0^M10
0 129 0 0 137 0 --:--:-- --:--:-- --:--:-- 137
^M 0 0 0 0 0 0 0 0 --:--:-- 0:00:01 --:--:-- 0^M100 255k 0 255k 0 0 110k 0 --:--:-- 0:00:02 --:--:-- 313k
==> WARNING: Skipping verification of source file PGP signatures.
==> /tmp/stderr <==
fcgi-2.4.2.tar.gz ... Passed
==> /tmp/stderr <==
Cloning into bare repository '//shadowsocks-libev-git'...
==> /tmp/stderr <==
shadowsocks-libev-git ... Skipped
shadowsocks-libev@.service ... Passed
shadowsocks-libev-server@.service ... Passed
shadowsocks-libev-redir@.service ... Passed
shadowsocks-libev-tunnel@.service ... Passed
Signed-off-by: Lin Jiaxin <ljx.joe(a)qq.com>
---
etc/makepkg.conf | 12 ++++++------
sbin/makepkg | 18 +++++++++---------
2 files changed, 15 insertions(+), 15 deletions(-)
diff --git a/etc/makepkg.conf b/etc/makepkg.conf
index 5d73399d..b2beaedb 100644
--- a/etc/makepkg.conf
+++ b/etc/makepkg.conf
@@ -8,12 +8,12 @@
#
#-- The download utilities that makepkg should use to acquire sources
# Format: 'protocol::agent'
-DLAGENTS=('file::/usr/bin/my_curl -gqC - -o %o %u'
- 'ftp::/usr/bin/my_curl -gqfC - --ftp-pasv --retry 3 --retry-delay 3 -o %o %u'
- 'http::/usr/bin/my_curl -gqb "" -fLC - --retry 3 --retry-delay 3 -o %o %u'
- 'https::/usr/bin/my_curl -gqb "" -fLC - --retry 3 --retry-delay 3 -o %o %u'
- 'rsync::/usr/bin/rsync --no-motd -z %u %o'
- 'scp::/usr/bin/scp -C %u %o')
+DLAGENTS=('file::/usr/bin/my_curl -sS -gqC - -o %o %u'
+ 'ftp::/usr/bin/my_curl -sS -gqfC - --ftp-pasv --retry 3 --retry-delay 3 -o %o %u'
+ 'http::/usr/bin/my_curl -sS -gqb "" -fLC - --retry 3 --retry-delay 3 -o %o %u'
+ 'https::/usr/bin/my_curl -sS -gqb "" -fLC - --retry 3 --retry-delay 3 -o %o %u'
+ 'rsync::/usr/bin/rsync -q --no-motd -z %u %o'
+ 'scp::/usr/bin/scp -q -C %u %o')
# Other common tools:
# /usr/bin/snarf
diff --git a/sbin/makepkg b/sbin/makepkg
index 498b4872..7a92ea71 100755
--- a/sbin/makepkg
+++ b/sbin/makepkg
@@ -566,7 +566,7 @@ download_git() {
if [[ ! -d "$dir" ]] || dir_is_empty "$dir" ; then
msg2 "$(gettext "Cloning %s %s repo...")" "${repo}" "git"
- if ! git clone --mirror "$url" "$dir"; then
+ if ! git clone -q --mirror "$url" "$dir"; then
error "$(gettext "Failure while downloading %s %s repo")" "${repo}" "git"
plain "$(gettext "Aborting...")"
exit 1
@@ -580,7 +580,7 @@ download_git() {
exit 1
fi
msg2 "$(gettext "Updating %s %s repo...")" "${repo}" "git"
- if ! git fetch --all -p; then
+ if ! git fetch -q --all -p; then
# only warn on failure to allow offline builds
warning "$(gettext "Failure while updating %s %s repo")" "${repo}" "git"
fi
@@ -609,13 +609,13 @@ extract_git() {
if [[ -d "${dir##*/}" ]]; then
updating=1
cd_safe "${dir##*/}"
- if ! git fetch; then
+ if ! git fetch -q; then
error "$(gettext "Failure while updating working copy of %s %s repo")" "${repo}" "git"
plain "$(gettext "Aborting...")"
exit 1
fi
cd_safe "$srcdir"
- elif ! git clone "$dir"; then
+ elif ! git clone -q "$dir"; then
error "$(gettext "Failure while creating working copy of %s %s repo")" "${repo}" "git"
plain "$(gettext "Aborting...")"
exit 1
@@ -645,7 +645,7 @@ extract_git() {
fi
if [[ $ref != "origin/HEAD" ]] || (( updating )) ; then
- if ! git checkout --force --no-track -B makepkg $ref; then
+ if ! git checkout -q --force --no-track -B makepkg $ref; then
error "$(gettext "Failure while creating working copy of %s %s repo")" "${repo}" "git"
plain "$(gettext "Aborting...")"
exit 1
@@ -1270,10 +1270,10 @@ verify_integrity_one() {
local source_name=$1 integ=$2 expectedsum=$3
local file="$(get_filename "$source_name")"
- printf ' %s ... ' "$file" >&2
+ printf ' %s ... ' "$file"
if [[ $expectedsum = 'SKIP' ]]; then
- printf '%s\n' "$(gettext "Skipped")" >&2
+ printf '%s\n' "$(gettext "Skipped")"
return
fi
@@ -1285,7 +1285,7 @@ verify_integrity_one() {
local realsum="$(openssl dgst -${integ} "$file")"
realsum="${realsum##* }"
if [[ ${expectedsum,,} = "$realsum" ]]; then
- printf '%s\n' "$(gettext "Passed")" >&2
+ printf '%s\n' "$(gettext "Passed")"
else
printf '%s\n' "$(gettext "FAILED")" >&2
return 1
@@ -1553,7 +1553,7 @@ check_source_integrity() {
warning "$(gettext "Skipping verification of source file checksums.")"
check_pgpsigs "$@"
elif (( SKIPPGPCHECK )); then
- warning "$(gettext "Skipping verification of source file PGP signatures.")"
+ # warning "$(gettext "Skipping verification of source file PGP signatures.")"
check_checksums "$@"
else
check_checksums "$@"
--
2.23.0